package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class BindConchReq extends BaseRequest{
	private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "小孩vipId", required = true)
    private String vipId;
    
    @ApiModelProperty(name = "derver", value = "设备号", required = true)
    private String derver;
	
	@ApiModelProperty(name = "longitude", value = "经度", required = true)
    private String longitude;
    
    @ApiModelProperty(name = "latitude", value = "纬度", required = true)
    private String latitude;
    
    @ApiModelProperty(name = "type", value = "1:直接绑定贝壳，2:换绑贝壳", required = true)
    private int type;

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
}
